using System;
using System.Globalization;

namespace DateFormatInfo
{
    class Program
    {
        static void Main(string[] args)
        {
            CultureInfo ciFr = new CultureInfo("fr-FR");
            // clone de la culture Fr pour conserver les 2 versions
            CultureInfo ciFrClone = (CultureInfo)ciFr.Clone(); //creation d'un nvl objet ds le TAS!
            // modification du DateTimeFormatInfo de la culture     
            ciFrClone.DateTimeFormat.DateSeparator = "-";
            DateTime datenow = DateTime.Now;
            Console.WriteLine("temps actuel                  :" + datenow.ToString("G"));
            Console.WriteLine("temps actuel culture modifiée :" + datenow.ToString("G", ciFrClone));
            Console.ReadKey();

            CultureInfo ci = new CultureInfo("fr-FR");
            // ne pas faire DateTimeFormatInfo mydateformat =ciFr.DateTimeFormat car juste nouvelle reference sur le meme objet!
            DateTimeFormatInfo mydateformat = (DateTimeFormatInfo)ci.DateTimeFormat.Clone(); // creation d'un nvl objet!
            string[] jourSemaine = { "D", "L", "Ma", "Me", "Jeud", "V", "S" };
            mydateformat.AbbreviatedDayNames = jourSemaine;
            string[] jourSemaineOrigine = ciFr.DateTimeFormat.AbbreviatedDayNames;
            Console.WriteLine("Affichage jour d'origine abrégé");
            foreach (string jour in jourSemaineOrigine) Console.Write(jour + "   ");
            DateTime date = DateTime.Now;
            Console.WriteLine("\ntemps actuel:" + date.ToString("ddd"));
            Console.WriteLine("temps actuel:" + date.ToString("ddd", mydateformat));
            Console.ReadKey();


        }
    }
}
